%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:			simple-scan
Version:		46.0
Release:		%mkrel 1
Summary:		Simple scanning utility
Group:			Graphics/Scanning
License:		GPLv3+
URL:			https://launchpad.net/simple-scan
Source0:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:			simple-scan-44.0-mga-add-qt-kde-to-desktop-file.patch
BuildRequires:		pkgconfig(cairo)
BuildRequires:		pkgconfig(colord)
BuildRequires:		pkgconfig(gdk-pixbuf-2.0)
BuildRequires:		pkgconfig(gmodule-export-2.0)
BuildRequires:		pkgconfig(gthread-2.0)
BuildRequires:		pkgconfig(gtk4)
BuildRequires:		pkgconfig(gudev-1.0)
BuildRequires:		pkgconfig(packagekit-glib2)
BuildRequires:		pkgconfig(zlib)
BuildRequires:		pkgconfig(libadwaita-1)
BuildRequires:		gettext
BuildRequires:		pkgconfig(vapigen) >= 0.18.0
BuildRequires:		pkgconfig(libjpeg)
BuildRequires:		pkgconfig(libwebp)
BuildRequires:		pkgconfig(libwebpmux)
BuildRequires:		pkgconfig(colord)
BuildRequires:		pkgconfig(sane-backends)
BuildRequires:		itstool
BuildRequires:		meson
BuildRequires:		libxml2-utils

Requires:		adwaita-icon-theme
Requires:		sane-backends
Requires:		xdg-utils
Requires:		yelp
Provides:		scanner-gui

%description
Simple Scan is an easy-to-use application, designed to let users connect their
scanner and quickly have the image/document in an appropriate format.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name} --with-man --with-gnome

%check
%meson_test

%files -f %{name}.lang
%doc NEWS README.md
%license COPYING
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/org.gnome.SimpleScan*.svg
%{_metainfodir}/org.gnome.SimpleScan.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.SimpleScan.gschema.xml


%changelog
* Tue Mar 19 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2050690
- new version 46.0

* Sun Apr 23 2023 kekepower <kekepower> 44.0-2.mga9
+ Revision: 1954539
- Add patch to show simple-scan in Qt and KDE menus

* Sat Apr 22 2023 tmb <tmb> 44.0-1.mga9
+ Revision: 1954136
- update to 44.0

* Wed Sep 21 2022 ovitters <ovitters> 42.5-1.mga9
+ Revision: 1891127
- new version 42.5

* Tue Apr 19 2022 ovitters <ovitters> 42.1-1.mga9
+ Revision: 1851531
- new version 42.1

* Sat Mar 19 2022 tv <tv> 42.0-1.mga9
+ Revision: 1800848
- Update to 42.0

* Thu Dec 23 2021 ovitters <ovitters> 40.7-1.mga9
+ Revision: 1763477
- new version 40.7

* Sun Oct 31 2021 ovitters <ovitters> 40.6-1.mga9
+ Revision: 1753419
- new version 40.6

* Thu Sep 23 2021 ovitters <ovitters> 40.5-1.mga9
+ Revision: 1746230
- new version 40.5

* Tue May 25 2021 ovitters <ovitters> 40.1-1.mga9
+ Revision: 1728087
- new version 40.1

* Thu Mar 25 2021 ovitters <ovitters> 40-1.mga9
+ Revision: 1710020
- new version 40
- drop hopefully merged translation patch

* Fri Mar 12 2021 ovitters <ovitters> 3.38.5-1.mga9
+ Revision: 1701818
- new version 3.38.5

* Tue Dec 08 2020 ovitters <ovitters> 3.38.2-1.mga8
+ Revision: 1654646
- new version 3.38.2

* Thu Oct 15 2020 tv <tv> 3.38.1-2.mga8
+ Revision: 1636259
- drop el.po patch as translation was changed
- use %%autosetup

* Fri Oct 02 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1631658
- new version 3.38.1

* Fri Sep 11 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1624564
- new version 3.38.0

* Sun Sep 06 2020 tv <tv> 3.37.92-1.mga8
+ Revision: 1622971
- rediff patch
- 3.37.92

* Fri Jul 10 2020 ovitters <ovitters> 3.37.3-1.mga8
+ Revision: 1603955
- new version 3.37.3

* Thu Jul 09 2020 daviddavid <daviddavid> 3.37.2-2.mga8
+ Revision: 1603693
- add missing dependency on sane-backends (mga#26903#c32)

* Wed Jun 10 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1591688
- new version 3.37.2

* Wed Jun 03 2020 ovitters <ovitters> 3.36.3-1.mga8
+ Revision: 1589789
- new version 3.36.3

* Tue Apr 28 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1573041
- new version 3.36.2

* Thu Mar 26 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1560858
- new version 3.36.1

* Fri Mar 06 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554414
- new version 3.36.0

* Wed Mar 04 2020 daviddavid <daviddavid> 3.35.92-1.mga8
+ Revision: 1553756
- new version 3.35.92

* Sat Feb 29 2020 tv <tv> 3.35.91-1.mga8
+ Revision: 1552284
- 3.35.91

* Tue Feb 18 2020 umeabot <umeabot> 3.34.4-2.mga8
+ Revision: 1538434
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 ovitters <ovitters> 3.34.4-1.mga8
+ Revision: 1514782
- new version 3.34.4
+ dtux <dtux>
- update version
- patching fr.po because of aacent problem saving documents
- added patch to fix accented characters problem (mga#11167)
- spec file modified to

* Fri Nov 22 2019 ovitters <ovitters> 3.34.2-1.mga8
+ Revision: 1462052
- new version 3.34.2

* Sun Oct 06 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1449969
- new version 3.34.1

* Mon Sep 09 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1438589
- new version 3.34.0

* Tue Sep 03 2019 daviddavid <daviddavid> 3.33.92-1.mga8
+ Revision: 1436722
- new version 3.33.92

* Wed Aug 28 2019 tv <tv> 3.33.91-1.mga8
+ Revision: 1434754
- new release
+ dglent <dglent>
- Patch for saved filename in Greek [el] translation

* Mon Aug 05 2019 ovitters <ovitters> 3.33.90-1.mga8
+ Revision: 1427399
- new version 3.33.90

* Sun Jun 16 2019 dtux <dtux> 3.32.2.1-2.mga7
+ Revision: 1400147
- add patch to correct a bug in french local doing errors when saving files

* Mon May 06 2019 daviddavid <daviddavid> 3.32.2.1-1.mga7
+ Revision: 1396508
- new version 3.32.2.1

* Thu Apr 18 2019 umeabot <umeabot> 3.32.2-2.mga7
+ Revision: 1392927
- Rebuild with meson 0.50.1

* Wed Apr 10 2019 ovitters <ovitters> 3.32.2-1.mga7
+ Revision: 1387813
- new version 3.32.2

* Tue Apr 09 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1387258
- new version 3.32.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1373899
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.92-1.mga7
+ Revision: 1372416
- new version 3.31.92

* Tue Oct 23 2018 ovitters <ovitters> 3.30.2-1.mga7
+ Revision: 1324348
- new version 3.30.2

* Fri Sep 28 2018 ovitters <ovitters> 3.30.1.1-1.mga7
+ Revision: 1308839
- new version 3.30.1.1

* Tue Sep 25 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1303830
- new version 3.30.1

* Sun Sep 02 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256320
- new version 3.30.0

* Sun Aug 26 2018 ovitters <ovitters> 3.29.92-1.mga7
+ Revision: 1254827
- new version 3.29.92

* Mon Aug 13 2018 ovitters <ovitters> 3.29.91-1.mga7
+ Revision: 1251225
- new version 3.29.91

* Mon Jul 30 2018 ovitters <ovitters> 3.29.90-1.mga7
+ Revision: 1246100
- new version 3.29.90

* Mon Apr 09 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1216391
- new version 3.28.1

* Tue Mar 13 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208788
- new version 3.28.0

* Mon Mar 05 2018 ovitters <ovitters> 3.27.92-1.mga7
+ Revision: 1206689
- new version 3.27.92

* Tue Feb 20 2018 ovitters <ovitters> 3.27.91-1.mga7
+ Revision: 1203430
- new version 3.27.91

* Mon Feb 05 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1199088
- new version 3.27.90

* Mon Jan 22 2018 ovitters <ovitters> 3.26.3-1.mga7
+ Revision: 1195769
- new version 3.26.3

* Mon Oct 30 2017 ovitters <ovitters> 3.26.2-1.mga7
+ Revision: 1175053
- new version 3.26.2

* Tue Oct 03 2017 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1167654
- new version 3.26.1

* Mon Sep 11 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1152668
- new version 3.26.0

* Tue Sep 05 2017 ovitters <ovitters> 3.25.92-1.mga7
+ Revision: 1151264
- new version 3.25.92

* Tue Aug 22 2017 ovitters <ovitters> 3.25.91-1.mga7
+ Revision: 1143262
- switch to meson
- new version 3.25.91

* Wed Jul 19 2017 tv <tv> 3.24.1-1.mga7
+ Revision: 1125083
- new release

* Sun Sep 25 2016 daviddavid <daviddavid> 3.22.0.1-1.mga6
+ Revision: 1055952
- new version: 3.22.0.1
- return back to the stable release 3.20.x

* Tue Apr 26 2016 daviddavid <daviddavid> 3.21.1-1.mga6
+ Revision: 1006480
- new version: 3.21.1

* Tue Mar 22 2016 daviddavid <daviddavid> 3.20.0-1.mga6
+ Revision: 993895
- new version: 3.20.0

* Mon Feb 29 2016 daviddavid <daviddavid> 3.19.91-1.mga6
+ Revision: 980636
- new version: 3.19.91

* Mon Feb 15 2016 daviddavid <daviddavid> 3.19.90-1.mga6
+ Revision: 961159
- new version: 3.19.90
- remove merged patch

* Tue Feb 09 2016 tv <tv> 3.19.4-2.mga6
+ Revision: 951018
- patch 0: fix french translation

* Mon Jan 18 2016 daviddavid <daviddavid> 3.19.4-1.mga6
+ Revision: 925529
- new version: 3.19.4

* Tue Dec 15 2015 daviddavid <daviddavid> 3.19.3-1.mga6
+ Revision: 910646
- new version: 3.19.3

* Mon Nov 23 2015 daviddavid <daviddavid> 3.19.2-1.mga6
+ Revision: 905237
- new version: 3.19.2

* Wed Oct 28 2015 daviddavid <daviddavid> 3.19.1-1.mga6
+ Revision: 895985
- new version: 3.19.1

* Wed Oct 14 2015 daviddavid <daviddavid> 3.18.1-1.mga6
+ Revision: 891656
- new version: 3.18.1

* Sun Sep 27 2015 daviddavid <daviddavid> 3.18.0-1.mga6
+ Revision: 884276
- new version: 3.18.0
- drop merged patch

* Fri Jan 09 2015 alexl <alexl> 3.14.0-3.mga5
+ Revision: 809651
- added GenericName in desktop file

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 739787
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 733856
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.91-2.mga5
+ Revision: 689161
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 pterjan <pterjan> 3.13.91-1.mga5
+ Revision: 671297
- 3.13.91

* Sat Aug 23 2014 dams <dams> 3.13.90-1.mga5
+ Revision: 666656
- new version 3.13.90

* Fri Aug 15 2014 dams <dams> 3.13.4.2-1.mga5
+ Revision: 662671
- new version 3.13.4.2
+ wally <wally>
- require adwaita-icon-theme instead of obsolete gnome-icon-theme

* Wed Mar 26 2014 dams <dams> 3.12.0-1.mga5
+ Revision: 608714
- new version 3.12.0

* Thu Mar 20 2014 dams <dams> 3.11.92-1.mga5
+ Revision: 605966
- new version 3.11.92

* Sun Mar 16 2014 tv <tv> 3.11.91-2.mga5
+ Revision: 604283
- drop bogus ui file that break running the app

* Thu Mar 13 2014 dams <dams> 3.11.91-1.mga5
+ Revision: 603096
- new version 3.11.91

* Wed Nov 20 2013 dams <dams> 3.10.2-1.mga4
+ Revision: 552009
- new version 3.10.2

* Mon Oct 21 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 537508
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 dams <dams> 3.10.0-1.mga4
+ Revision: 487151
- new version 3.10.0

* Sat Sep 14 2013 wally <wally> 3.9.91-2.mga4
+ Revision: 478962
- rebuild for new colord

* Thu Sep 05 2013 dams <dams> 3.9.91-1.mga4
+ Revision: 475222
- update %%file
- new version 3.9.91

* Mon Aug 26 2013 dams <dams> 3.9.90-1.mga4
+ Revision: 471923
- new version 3.9.90

* Wed Jul 24 2013 dams <dams> 3.9.4.1-1.mga4
+ Revision: 457527
- new version 3.9.4.1

* Thu Jun 13 2013 tv <tv> 3.9.2-1.mga4
+ Revision: 442469
- fix build: add missing file from bazaar
- new release

* Fri May 24 2013 dams <dams> 3.8.0-1.mga4
+ Revision: 425947
- add 'libxml2-utils' as 'buildrequire'
- new version 3.8.0

* Mon Jan 14 2013 umeabot <umeabot> 3.6.0-3.mga3
+ Revision: 382042
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ tv <tv>
- Provides scanner-gui

* Mon Nov 12 2012 dams <dams> 3.6.0-1.mga3
+ Revision: 317183
- new version 3.6.0
+ tv <tv>
- adapt to new group hierarchy

* Mon May 28 2012 dams <dams> 3.4.2-1.mga3
+ Revision: 248733
- new version 3.4.2

* Mon Apr 23 2012 dams <dams> 3.4.1-1.mga3
+ Revision: 232959
- new version 3.4.1
+ ovitters <ovitters>
- clean spec
- new version 3.3.92

* Wed Nov 09 2011 dams <dams> 3.2.1-1.mga2
+ Revision: 165892
- Update to 3.2.1

* Tue Sep 27 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149169
- new version 3.2.0

* Mon Sep 12 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 142585
- new version 3.1.91

* Thu Sep 01 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 137489
- new version 3.1.90
- new version 3.1.5

* Sun Jul 10 2011 fwang <fwang> 3.1.3-2.mga2
+ Revision: 121794
- br colord

* Sun Jul 10 2011 fwang <fwang> 3.1.3-1.mga2
+ Revision: 121793
- new version 3.1.3

* Thu Jun 16 2011 dams <dams> 2.32.0.2-1.mga2
+ Revision: 108022
- Update to 2.32.0.2 and clean BR

* Thu Apr 14 2011 dams <dams> 2.32.0.1-1.mga1
+ Revision: 84848
- Update to 2.32.0.1

* Mon Feb 21 2011 eandry <eandry> 1.0.3-3.mga1
+ Revision: 55841
- bump relase
- imported package simple-scan


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-2mdv2011.0
+ Revision: 614890
- the mass rebuild of 2010.1 packages

* Sun Apr 25 2010 Emmanuel Andry <eandry@mandriva.org> 1.0.3-1mdv2010.1
+ Revision: 538711
- New version 1.0.3

* Sun Apr 18 2010 Emmanuel Andry <eandry@mandriva.org> 1.0.2-1mdv2010.1
+ Revision: 536395
- New version 1.0.2

* Sun Apr 04 2010 Emmanuel Andry <eandry@mandriva.org> 0.9.9-1mdv2010.1
+ Revision: 531389
- import simple-scan


